Subject: GRUB keymap is stored on encrypted root.

From: Barry Kane <[email-masked]>
Date: Tue, 06 Jul 2021 10:42:40 +0100

The problem:
On a system with encrypted root and using a non-us keymap such as DVORAK
programmer and setting this in the bootloader configuration, the relevant files 
for GRUB to use the keymap are stored on an encrypted partition, thus
requiring the user to enter the password in an incorrect layout.

Suggested solutions:
Allow the user to declare that they wish to store all boot related files
in the clear on a seperate partition.
Grub could be built with the particular keymap required as the default.

-----
Barra O'Cathain